2021-04-16 18:57 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002083FSSCPuser interfacepublic2021-01-09 01:32
ReporterFUBAR-BDHR 
Assigned To 
PrioritynormalSeveritytrivialReproducibilityhave not tried
StatusresolvedResolutionopen 
Product Version3.6.11 
Target VersionFixed in Version 
Summary0002083: Launcing a TC for the first time with -start_mission after last playing multi = stuck
DescriptionInstalled Diaspora on a couple of the standalones for some AI balancing runs. Have a shortcut with -start_mission to autoload the test mission. Well since the last thing loaded was FS2 multi when it got to the pilot selection screen I had to create a multi pilot as it would not let me select single. So I created one and it actually loaded the mission without error. The problem was at the loadout screen. Since it's a single player mission I couldn't do anything. Commit gave a loadout error. Escape did nothing. There were no ships or weapons to assign to the ships. Had to alt-ctrl-del and end task.

As there is already a different mission loading command line option for multiplayer (-almission) I think multi should ignore -start_mission. Probably the other way around too if it doesn't already.

The second part is why it didn't allow me to switch to creating a single player pilot is another issue one that I though was resolved a long time ago.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0017046

FSCyborg (developer)

I believe I just fixed this in 2020

~0017047

FSCyborg (developer)

See https://github.com/scp-fs2open/fs2open.github.com/pull/3029 for details
+Notes

-Issue History
Date Modified Username Field Change
2009-12-30 19:47 FUBAR-BDHR New Issue
2021-01-09 01:30 FSCyborg Note Added: 0017046
2021-01-09 01:32 FSCyborg Status new => resolved
2021-01-09 01:32 FSCyborg Note Added: 0017047
+Issue History